package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.common.trnmod.vo.SwiaddVo;
import com.brilliance.isc.common.vo.AddbcbVo;
import com.brilliance.isc.vo.model.Cfagit;
import com.brilliance.isc.vo.model.Gidgrp;
import com.brilliance.isc.vo.model.Gitp;
import com.brilliance.isc.vo.model.Trnmod;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitpopStoreVo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gitp gitp;
//    private Cfagit cfagit;
    private AddbcbVo addbcb;
    private SwiaddVo swiadd;

    private Trnmod trnmod;


    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (gitp == null) {
            gitp = new Gitp();
        }
        gitp.reset();
//        if (cfagit == null) {
//            cfagit = new Cfagit();
//        }
        if (addbcb == null) {
            addbcb = new AddbcbVo();
        }
        if (swiadd == null) {
            swiadd = new SwiaddVo();
        }
        swiadd.reset();
        if (trnmod == null) {
            trnmod = new Trnmod();
        }
    }
}
